@import 'variables';

:host {
  width: 100%;
  background-color: $white;
  min-height: calc(100vh - 118px);
}

uc-spinner {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.page-header {
  &__button {
    font-size: 18px;
    font-weight: normal;
    color: $primary-color;
    border: none;
    background-color: transparent;
  }
}

.content {
  padding: 20px 40px;
  height: 100%;

  &__header {
    display: flex;
    justify-content: space-between;
    font-size: 20px;
  }
}

.uc-button {
  &--active {
    background-color: $primary-color;
    color: $white;
    font-size: 16px;
    border-radius: 8px;
    padding: 2px 15px 2px 15px;
  }
}

.tabs {
  display: flex;
  justify-content: center;
  margin: 15px 0 0 0;
  border-top: 1px solid rgba($default-border-color, 0.3);
}

mat-tab-group {
  width: 100%;
  & ::ng-deep .mat-tab-labels {
    justify-content: center;
  }
  & ::ng-deep .mat-tab-label {
    min-width: auto;
    color: $gray;
    font-size: 16px;
    font-weight: bold;
    margin: 0 10px 0 10px;
    padding: 0 0 0 0;
    opacity: 1;
    &:first-child {
      margin: 0 10px 0 0;
    }
    &:last-child {
      margin: 0 0 0 10px;
    }
    &:hover {
      color: $primary-color;
    }
    &-active {
      color: $secondary-color;
      &:hover {
        color: $secondary-color;
      }
    }
    & ::ng-deep .mat-tab-label-content {
      height: 100%;
    }
    & .tabs_tab-content {
      padding: 10px 0 10px 0;
    }
  }
  & ::ng-deep .mat-tab-header {
    overflow: inherit;
    cursor: pointer;
  }
  & ::ng-deep .mat-tab-header-pagination {
    position: absolute;
    left: -25px;
    min-width: 50px;
    height: 100%;
    justify-content: flex-start;
    background: linear-gradient(90deg, $white 30%, $white, transparent);
    box-shadow: none;
    transition: all 0.4s;
    & ::ng-deep .mat-tab-header-pagination-chevron {
      width: 12px;
      height: 12px;
      border-color: $default-border-color;
    }
    &-after {
      left: auto;
      right: -25px;
      justify-content: flex-end;
      background: linear-gradient(-90deg, $white 30%, $white, transparent);
    }
    &-disabled {
      min-width: 0;
      padding: 0;
      visibility: hidden;
      & ::ng-deep .mat-tab-header-pagination-chevron {
        display: none;
      }
    }
  }
  & ::ng-deep .mat-ink-bar {
    height: 4px;
  }
}

::ng-deep .tabs__tooltip.mat-tooltip {
  background-color: $white;
  color: $gray-dark;
  font-size: 14px;
  box-shadow: 0px 3px 10px 0px $gray-light;
  margin: 0px 0px 2px 0px;
  padding: 10px 10px 10px 10px;
  border-radius: 8px;
  overflow: inherit;
  &:after {
    display: block;
    position: absolute;
    left: calc(50% - 6px);
    content: '';
    width: 12px;
    height: 12px;
    border: 6px solid $white;
    border-color: $white $white transparent transparent;
    transform: rotate(135deg);
    box-shadow: 5px -5px 10px -1px $gray-light;
  }
}

gng-spinner {
  margin: 100px 0;
}

.reveal-units {
  cursor: pointer;
}
